import 'package:account/src/core/domain/repositories/account_repository.dart';
import 'package:account/src/features/personal_data/domain/entities/update_user_request_entity.dart';
import 'package:account/src/features/personal_data/domain/update_user_use_case.dart';

class UpdateUserUseCaseImpl implements UpdateUserUseCase {
  UpdateUserUseCaseImpl(this._repository);

  final AccountRepository _repository;
  @override
  Future<void> updateUser({required String userId, required UpdateUserRequestEntity request}) {
    return _repository.updateUser(userId: userId, request: request);
  }
}
